#pragma once

#include "ESEditorV.h"
#include <Text.h>

using namespace Framework;


class Editor : public ESEditorV
{
private:
    Text pfad;
    Text err;
    int ref;

public:
    // Konstruktor
    Editor();
    // Destruktor
    ~Editor();
    // nicht constant
    void setPfad( char *pfad ) override;
    void open() override;
    bool nachricht( SKlient *k ) override;
    // constant
    char *getLetzterFehler() const override;
    // Reference Counting 
    ESEditorV *getThis() override;
    ESEditorV *release() override;

private:
    bool createSitzung();
    bool saveSitzung();
};